도곽선택하여 선축척,치수축척을 변경하는 간단한 리습입니다.

명령어 xxx 를 개인 입맛에 맞게 변경하여 사용하시면 됩니다.

 

 

도곽블럭_선택하여_선축척변경.lsp


 

;;; 도곽선택하여 선축척,치수축척 변경
;;; 2017-08-17, izzarder.com
(defun c:xxx ( / blk ent scale)
   (setvar 'CMDECHO 0)
   (command "_.UNDO" "_BE")
   (if 
      (and
         (setq blk (car (entsel "\n>> 기준 도곽 선택: ")))
         (setq ent (entget blk))
         (= (cdr (assoc 0 ent)) "INSERT")
      )
      (progn
         (setq scale (cdr (assoc 41 ent)))
         (setvar 'LTSCALE scale)
         (setvar 'DIMSCALE scale)  ;;; 필요없으면 앞에 주석처리 ;;;
         (prompt (strcat "선축척이 " (rtos scale 2) " 로 변경되었음..."))
      )
   )
   (command "_.UNDO" "_E")
   (setvar 'CMDECHO 1)
   (princ)
)

 

 

 

'CAD > Lisp' 카테고리의 다른 글

도곽선택하여 선축척,치수축척 변경  (0) 2017.08.17
Logand 함수 사용법  (0) 2016.12.25
Getfiled 사용법  (0) 2016.12.25
시간과 관련된 함수  (0) 2016.12.04
vl-file-systime 의 사용법  (0) 2016.12.04
현재 도면에 로딩된 모든 명령어/함수/변수 보기  (0) 2016.10.17